%global _empty_manifest_terminate_build 0
Name:		python-requirementslib
Version:	2.3.0
Release:	1
Summary:	A tool for converting between pip-style and pipfile requirements.
License:	MIT
URL:		https://github.com/sarugaku/requirementslib
Source0:	https://files.pythonhosted.org/packages/7e/f9/f5d13063f50077a3137f8b86d98db3a3b2a15520f14fb4cde8f5d2a69b7c/requirementslib-2.3.0.tar.gz
BuildArch:	noarch

Requires:	python3-attrs
Requires:	python3-distlib
Requires:	python3-pep517
Requires:	python3-platformdirs
Requires:	python3-plette[validation]
Requires:	python3-requests
Requires:	python3-setuptools
Requires:	python3-tomlkit
Requires:	python3-nox
Requires:	python3-twine
Requires:	python3-parver
Requires:	python3-towncrier
Requires:	python3-sphinx
Requires:	python3-sphinx-rtd-theme
Requires:	python3-pytest
Requires:	python3-readme-renderer[md]
Requires:	python3-pytest-xdist
Requires:	python3-pytest-cov
Requires:	python3-pytest-timeout
Requires:	python3-coverage
Requires:	python3-hypothesis
Requires:	python3-pip

%description
Install from `PyPI`_:
    $ pipenv install requirementslib
Install from `Github`_:
    $ pipenv install -e git+https://github.com/sarugaku/requirementslib.git#egg=requirementslib

%package -n python3-requirementslib
Summary:	A tool for converting between pip-style and pipfile requirements.
Provides:	python-requirementslib
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-pip
BuildRequires:	python3-wheel
BuildRequires:	python3-pbr
%description -n python3-requirementslib
Install from `PyPI`_:
    $ pipenv install requirementslib
Install from `Github`_:
    $ pipenv install -e git+https://github.com/sarugaku/requirementslib.git#egg=requirementslib

%package help
Summary:	Development documents and examples for requirementslib
Provides:	python3-requirementslib-doc
%description help
Install from `PyPI`_:
    $ pipenv install requirementslib
Install from `Github`_:
    $ pipenv install -e git+https://github.com/sarugaku/requirementslib.git#egg=requirementslib

%prep
%autosetup -n requirementslib-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-requirementslib -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Jun 9 2023 cuiyudong <dxwangk@isoftstone.com> - 2.3.0-1
- Upgrade package to version 2.3.0

* Thu Jul 14 2022 cuiyudong <cuiyudong@kylinos.cn> - 1.6.7-1
- Init package python3-requirementslib of version 1.6.7
